Subject: Re: [PATCH] [POWERPC] i2c: fix build breakage introduced by OF helpers

From: David Miller <[email-masked]>
Date: Sat, 19 Apr 2008 02:12:56 -0700 (PDT)

From: Jean Delvare <[email-masked]>
Date: Sat, 19 Apr 2008 11:09:34 +0200

> Guys, you're doing things the wrong way around. Breaking things to fix
> them later is not OK, it's a pain for testers and also when bisecting
> the kernel. Everything should still work after merging the powerpc
> tree. Dave, if you need to loosen the dependency, you should do it
> yourself _after_ having changed whatever needs to be in the sparc32 and
> sparc64 trees so that loosening the dependency doesn't break anything.
> As far as I can see it's only a matter of changing one line in a
> Kconfig file, that's not exactly difficult to do it in the right order.

Fair enough.

At least don't move this stuff under arch/powerpc as paulus originally
had suggested.